Skip to main content
レッスン一覧取得
GET

Authorizations

Authorization
string
header
required

APIキーをBearerトークンとして指定

Path Parameters

site_id
string
required

会員サイトID

course_id
string
required

コースID

Query Parameters

lesson_group_id
string

レッスングループIDで絞り込み(GET .../lesson-groups で取得)。コース配下に無い ID は 422

is_published
boolean

ステータスで絞り込み(true: 公開のみ、false: 下書きのみ。省略時は両方)

type
enum<string>
default:html

種類で絞り込み(html: コンテンツエディター、rich_text: リッチテキスト、all: 両方)。省略時は html。これ以外の値は 422

Available options:
html,
rich_text,
all
page
integer

ページ番号

Required range: x >= 1
per_page
integer
default:20

1ページあたりの件数(既定20・最大100。超過時は100に丸められます)

Required range: 1 <= x <= 100

Response

レッスン一覧

data
object[]
meta
object